Re: Error making krb5-1.5.1 on AIX 5.3 TL 5 - Aix

This is a discussion on Re: Error making krb5-1.5.1 on AIX 5.3 TL 5 - Aix ; After creating the following links in src/lib I was able to complete the make: lrwxrwxrwx 1 root 101 17 Dec 21 13:57 libkrb5support.a -> libkrb5support.so lrwxrwxrwx 1 root 101 10 Dec 21 13:57 libkrb5.a -> libkrb5.so lrwxrwxrwx 1 root 101 ...

+ Reply to Thread
Results 1 to 4 of 4

Thread: Re: Error making krb5-1.5.1 on AIX 5.3 TL 5

  1. Re: Error making krb5-1.5.1 on AIX 5.3 TL 5

    After creating the following links in src/lib I was able to complete
    the make:

    lrwxrwxrwx 1 root 101 17 Dec 21 13:57
    libkrb5support.a -> libkrb5support.so
    lrwxrwxrwx 1 root 101 10 Dec 21 13:57 libkrb5.a ->
    libkrb5.so
    lrwxrwxrwx 1 root 101 10 Dec 21 13:57 libkrb4.a ->
    libkrb4.so
    lrwxrwxrwx 1 root 101 14 Dec 21 13:57 libk5crypto.a
    -> libk5crypto.so
    lrwxrwxrwx 1 root 101 12 Dec 21 13:57 libgssrpc.a ->
    libgssrpc.so
    lrwxrwxrwx 1 root 101 17 Dec 21 13:57
    libgssapi_krb5.a -> libgssapi_krb5.so
    lrwxrwxrwx 1 root 101 12 Dec 21 13:57 libdes425.a ->
    libdes425.so
    lrwxrwxrwx 1 root 101 13 Dec 21 13:57 libcom_err.a
    -> libcom_err.so
    lrwxrwxrwx 1 root 101 15 Dec 21 14:00 libkadm5clnt.a
    -> libkadm5clnt.so
    lrwxrwxrwx 1 root 101 14 Dec 21 14:01 libkadm5srv.a
    -> libkadm5srv.so

    However, the "make install" omitted all the libraries so when I enter a
    command such as kinit I get the error:

    exec(): 0509-036 Cannot load program kinit because of the following
    errors:
    0509-150 Dependent module libkrb5.a could not be loaded.
    0509-022 Cannot load module libkrb5.a.
    0509-026 System error: A file or directory in the path name
    does not exist

    I checked and sure enough none of the library files made it to the
    install so even if I had the LIBPATH set right it won't help, they
    don't exist.

    The OS is AIX 5.3 TL 5. gcc is (GCC) 3.3.3.
    Configure looks like:
    export
    LIBPATH=/lppdir/build/krb5/krb5/src/lib:/usr/local/lib:/usr/linux/lib:$LIBPATH
    export LDFLAGS="-L/lppdir/build/krb5/krb5/src/lib,Wl,-blibsuff:so"
    ../configure --with-cc=gcc \
    --enable-shared \
    --libdir=/lppdir/build/krb5/krb5/src/lib \
    --disable-thread-support

    Any ideas?

    Also I was getting a bison error that read "bison getdate.y
    conflicts: 4 shift/reduce" A search on google suggested I install a
    version of bison prior to 1.3. UCLA had version 1.24 and then my make
    completed.


  2. Re: Error making krb5-1.5.1 on AIX 5.3 TL 5

    I was finally able to get this compiled using vac.C ver 8.0.0.0 that
    another office allowed me to use. I did have one make problem with it
    not finding libdb.so so I copied src/plugins/kdb/db2/libdb2/libdb.so
    to src/lib/libdb.a.

    Then since I didn't have root on that machine I did a make install on
    another machine I had root on and it installed including the libraries.


    I also created a bff install and that went well.

    I used the following configure syntax:

    ../configure \
    --disable-thread-support \
    LDFLAGS="-blibsuff:so"

    Now to verify if it works with Active Directory. The journey continues.


  3. Re: Error making krb5-1.5.1 on AIX 5.3 TL 5


    prichard@blm.gov wrote:
    ..
    ..
    > Now to verify if it works with Active Directory. The journey continues.


    sshd will not authenticate to Kerberos using my build.

    I put sshd in debug log mode and get the following error:

    debug1: Failed dlopen: /usr/krb5/lib/libkrb5.a(libkrb5.a.so):
    \t0509-022 Cannot
    load module /usr/krb5/lib/libkrb5.a(libkrb5.a.so).\n\t0509-026 System
    error: A f
    ile or directory in the path name does not exist.\n


    I linked /usr/local/lib to /usr/krb5/lib and used the command

    "ar -v -q libkrb5.a libkrb5.so" to create an archived library.

    "ar -v -t libkrb5.a" shows

    rw-r--r-- 0/0 3538290 Jan 09 12:48 2007 libkrb5.so

    What am I missing? I can't get krb 1.5.1 to compile on AIX 5.3 using
    the .a library extension. Back on AIX 5.1 I was able to compile
    krb5-1.3.6 with the .a library extension with no problem.

    Perhaps there is a configure option for that but I don't know what it
    is.


  4. Re: Error making krb5-1.5.1 on AIX 5.3 TL 5

    prichard@blm.gov wrote:
    > prichard@blm.gov wrote:
    >> Now to verify if it works with Active Directory. The journey
    >> continues.

    >
    > sshd will not authenticate to Kerberos using my build.
    >
    > I put sshd in debug log mode and get the following error:
    >
    > debug1: Failed dlopen: /usr/krb5/lib/libkrb5.a(libkrb5.a.so):
    > \t0509-022 Cannot
    > load module /usr/krb5/lib/libkrb5.a(libkrb5.a.so).\n\t0509-026 System
    > error: A f
    > ile or directory in the path name does not exist.\n
    >
    >
    > I linked /usr/local/lib to /usr/krb5/lib and used the command
    >
    > "ar -v -q libkrb5.a libkrb5.so" to create an archived library.
    >
    > "ar -v -t libkrb5.a" shows
    >
    > rw-r--r-- 0/0 3538290 Jan 09 12:48 2007 libkrb5.so
    >
    > What am I missing? I can't get krb 1.5.1 to compile on AIX 5.3 using
    > the .a library extension. Back on AIX 5.1 I was able to compile
    > krb5-1.3.6 with the .a library extension with no problem.
    >
    > Perhaps there is a configure option for that but I don't know what it
    > is.


    Its noted in the release notes for krb5 1.5.x that static libs are not
    supported in this release. Try using 1.4 (or maybe the new 1.6 that was
    just released.) For the record, there is a security vulnerability in
    1.5.1 and you should upgrade to 1.5.2 if you do in fact need the MIT
    version.


    Are you using the sshd from IBM? Or did you compile it yourself?

    The IBM one likely wants to use the IBM provided krb5.client.rte
    fileset. Install it and see if it works better. Trying to force the
    newer MIT libs to be used will cause you much pain and suffering.

    < --
    Christopher D. Clausen



+ Reply to Thread